# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Namespaces
dirac_cppparser.h File Reference
`#include <istream>`
`#include <streambuf>`
`#include <libdirac_decoder/decoder_types.h>`
`#include <libdirac_common/common.h>`
`#include <libdirac_byteio/dirac_byte_stream.h>`

Go to the source code of this file.

## Classes
class | dirac::InputStreamBuffer
| Input Stream Buffer Class. More...
class | dirac::DiracParser
| Dirac Stream Parser Class. More...

## Namespaces
namespace | dirac
| Definition of class SequenceHeaderByteIO.

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.